For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Balances

List account balances.

This method will use 20 Compute Units.


List account balances

get

Returns a timestamped list of account balances on the network, limited to at most 50 token balances per account as outlined in HIP-367. This includes both HBAR and token balances for accounts.

Query parameters
account.idstringOptional

Account id or account alias with no shard realm or evm address with no shard realm

Example: {"value":"HIQQEXWKW53RKN4W6XXC4Q232SYNZ3SZANVZZSUME5B5PRGXL663UAQA"}Pattern: ^(\d{1,10}\.){0,2}(\d{1,10}|(0x)?[A-Fa-f0-9]{40}|(?:[A-Z2-7]{8})*(?:[A-Z2-7]{2}|[A-Z2-7]{4,5}|[A-Z2-7]{7,8}))$
account.balancestringOptional

The optional balance value to compare against

Example: {"summary":"--","value":""}Pattern: ^((gte?|lte?|eq|ne)\:)?\d{1,10}$
account.publickeystringOptional

The account's public key to compare against

Example: 3c3d546321ff6f63d701d2ec5c277095874e19f4a235bee1e6bb19258bf362be
limitinteger · int32 · min: 1 · max: 100Optional

The maximum number of items to return

Default: 25Example: 2
orderundefined · enumOptional

The order in which items are listed

Default: descExample: ascPossible values:
timestampstring[]Optional

The consensus timestamp in seconds.nanoseconds format with an optional comparison operator

Example: {"summary":"--","value":""}
Responses
200

OK

application/json
timestampstring · nullableOptionalExample: 1586567700.453054000Pattern: ^\d{1,10}(\.\d{1,9})?$
get/api/v1/balances

Last updated

Was this helpful?